html {
    font-size: 16px;
}

.upgradebg {
    width: 100%;
}

.player {
    width: 100%;
}

* {
    list-style: none;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

a,
a:visited,
a:link {
    text-decoration: none;
}

.clearfix::after {
    content: '';
    display: block;
    clear: both;
}

@media screen and (min-width: 375px) {
    html {
        /* iPhone6的375px尺寸作为16px基准，414px正好18px大小, 600 20px */
        font-size: calc(100% + 2 * (100vw - 375px) / 39);
        font-size: calc(16px + 2 * (100vw - 375px) / 39);
    }
    .player {
        width: 100%;
    }
    .upgradebg {
        width: 100%;
    }
}

@media screen and (min-width: 414px) {
    html {
        /* 414px-1000px每100像素宽字体增加1px(18px-22px) */
        font-size: calc(112.5% + 4 * (100vw - 414px) / 586);
        font-size: calc(18px + 4 * (100vw - 414px) / 586);
    }
    .player {
        width: 100%;
    }
    .upgradebg {
        width: 100%;
    }
}

@media screen and (min-width: 600px) {
    html {
        /* 600px-1000px每100像素宽字体增加1px(20px-24px) */
        font-size: calc(125% + 4 * (100vw - 600px) / 400);
        font-size: calc(20px + 4 * (100vw - 600px) / 400);
        width: 600px;
        margin: auto;
    }
    .player {
        width: 600px;
    }
    .upgradebg {
        width: 600px;
    }
    .upgrade {
        margin-top: 30%;
    }
}

@media screen and (min-width: 1000px) {
    html {
        /* 1000px往后是每100像素0.5px增加 */
        font-size: calc(137.5% + 6 * (100vw - 1000px) / 1000);
        font-size: calc(22px + 6 * (100vw - 1000px) / 1000);
        width: 600px;
        margin: auto;
    }
    .player {
        width: 600px;
    }
    .upgradebg {
        width: 600px;
    }
    .upgrade {
        margin-top: 30%;
    }
}

.clearfix:after {
    Content: '';
    display: block;
    height: 0;
    visibility: hidden;
    clear: both;
}